For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
SupportLog InSign Up
GuidesAPI Reference
GuidesAPI Reference
  • Tax Rates
    • GETGet Tax Rates (v6.0)
  • Merchant
    • POSTCreate Merchant
    • POSTUpdate Merchant
    • POSTDelete Merchant
    • POSTGet Merchant
    • GETList Merchants
    • POSTSet Merchant Credentials
    • POSTGet Merchant Credentials
    • POSTDelete Merchant Credentials
  • Data
    • GETGet TIC Codes
  • System
    • GETHealth Check
    • GETGet System Metadata
  • Ziptax API
SupportLog InSign Up
Tax Rates

Get Tax Rates (v6.0)

GET
https://api.ziptax.com/request/v60
GET
/request/v60
$curl -G https://api.ziptax.com/request/v60 \
> -H "X-API-KEY: <apiKey>" \
> -d key=your-api-key \
> -d format=json \
> -d countryCode=USA \
> -d postalcode=postalcode \
> -d address=address \
> -d state=state \
> -d stateCode=stateCode \
> -d city=city \
> -d county=county \
> -d lat=1.1 \
> -d lng=1.1 \
> -d sat_item_total=1.1 \
> -d historical=historical \
> -d addressDetailExtended=true \
> -d shippingExtended=true
1{
2 "addressDetail": {
3 "geoLat": 1.1,
4 "geoLng": 1.1,
5 "incorporated": "true",
6 "normalizedAddress": "normalizedAddress"
7 },
8 "metadata": {
9 "rCode": 100,
10 "version": "v60"
11 },
12 "origin_destination": {
13 "adjustment_type": "ORIGIN_DESTINATION",
14 "description": "description",
15 "value": "O"
16 },
17 "service": {
18 "adjustment_type": "SERVICE_TAXABLE",
19 "description": "description",
20 "taxable": "Y"
21 },
22 "shipping": {
23 "adjustment_type": "FREIGHT_TAXABLE",
24 "description": "description",
25 "taxable": "Y"
26 },
27 "base_rates": [
28 {
29 "jur_description": "jur_description",
30 "jur_name": "US_STATE",
31 "jur_tax_code": "jur_tax_code",
32 "jur_type": "US_STATE_SALES_TAX",
33 "rate": 1.1,
34 "rate_id": "rate_id"
35 }
36 ],
37 "tax_summaries": [
38 {
39 "rate": 1.1,
40 "summary_name": "summary_name",
41 "tax_type": "SALES_TAX"
42 }
43 ]
44}

Returns tax rates in a new structured format with separate base rates, service/shipping taxability, and tax summaries. Built on v5.0 data but with enhanced organization

Was this page helpful?

Create Merchant

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Query parameters

keystringOptional10-100 characters
API key for authentication
formatenumOptionalDefaults to json
Response format
Allowed values:
countryCodeenumOptionalDefaults to USA

Country code (USA/CAN)

Allowed values:
postalcodestringOptionalformat: "^[0-9]{5}$"=5 characters

5-digit postal code

addressstringOptional<=100 characters
Street address for geocoding
statestringOptional<=50 characters
State name or abbreviation
stateCodestringOptionalformat: "^[A-Z]{2}$"=2 characters
State code
citystringOptional<=50 characters
City name
countystringOptional<=50 characters
County name
latdoubleOptional-90-90
Latitude coordinate
lngdoubleOptional-180-180
Longitude coordinate
sat_item_totaldoubleOptional>=0
Single Article Tax item total for Tennessee
historicalstringOptionalformat: "^[0-9]{6}$"
Historical date for rates
addressDetailExtendedbooleanOptionalDefaults to false

When true, returns a full geocoding object in the response broken into address parts (street, city, postal code, etc.). Defaults to false.

shippingExtendedbooleanOptionalDefaults to false

When true, returns a detailed shipping object to help navigate collection complexity. The GENERAL_RULE value will be one of: EXEMPT, EXEMPT_WHEN_SEPARATELY_STATED, ITEM_SPECIFIC, CONDITIONAL, or TAXABLE. For EXEMPT_WHEN_SEPARATELY_STATED, the response includes a boolean flag, and a natural-language description is included for clarity. Defaults to false.

Response

OK
addressDetailobject
Address details
metadataobject
Response metadata
origin_destinationobject

Origin/destination taxation info

serviceobject
Service taxability information
shippingobject
Shipping taxability information
base_rateslist of objects
Base tax rates by jurisdiction
tax_summarieslist of objects
Tax rate summaries

Errors

400
Get Tax Rates V60request Bad Request Error
401
Get Tax Rates V60request Unauthorized Error
422
Get Tax Rates V60request Unprocessable Entity Error
429
Get Tax Rates V60request Too Many Requests Error
500
Get Tax Rates V60request Internal Server Error